# class Bundler::CompactIndexClient::Updater::MisMatchedChecksumError

### Public Class Methods

new(path, server_checksum, local_checksum) click to toggle source

    # File lib/bundler/compact_index_client/updater.rb, line 11
    def initialize(path, server_checksum, local_checksum)
      @path = path
      @server_checksum = server_checksum
      @local_checksum = local_checksum
    end

### Public Instance Methods

message() click to toggle source

    # File lib/bundler/compact_index_client/updater.rb, line 17
    def message
      "The checksum of /#{@path} does not match the checksum provided by the server! Something is wrong " \
        "(local checksum is #{@local_checksum.inspect}, was expecting #{@server_checksum.inspect})."
    end